<div class="container-fluid" *ngIf="myProfile">
  <div class="card">
    <div class="card-header bg-info text-white">
      <div class="row">
        <div class="col-sm-6">
          <strong class="text-bold text-center">My Profile</strong>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-danger fa-pull-right" (click)="editUserProfile()">Edit <i class="pi pi-user-edit"></i></button>
        </div>
      </div>
    </div>
    <div class="card-body">
<!--      <div class="container">-->
<!--        <div class="main-body">-->
          <div class="row gutters-sm">
            <div class="col-md-4 mb-3">
              <div class="card">
                <div class="card-body">
                  <div class="d-flex flex-column align-items-center text-center">
                    <img src="/assets/avatar7.png" alt="Admin" class="rounded-circle" width="150">
                    <div class="mt-3">
                      <h4> {{ myProfile.fullName }}</h4>
                      <p class="text-secondary mb-1">{{ myProfile.designations }}</p>
                      <p class="text-muted font-size-sm"> {{ myProfile.branch }}</p>
                    </div>
                  </div>
                </div>
              </div>
              <div class="card mt-3">
                <ul class="list-group list-group-flush">
                  <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
                    <strong>Username</strong>
                    <span class="text-secondary">{{myProfile.username}}</span>
                  </li>
                  <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
                    <strong>Employee Id</strong>
                    <span class="text-secondary">{{myProfile.employeeId}}</span>
                  </li>
                  <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
                    <strong>User Group</strong>
                    <span class="text-secondary">{{myProfile.userGroup}}</span>
                  </li>
                  <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
                    <strong>Group Type</strong>
                    <span class="text-secondary">{{myProfile.groupType}}</span>
                  </li>
                </ul>
              </div>
            </div>
            <div class="col-md-8">
              <div class="card mb-3">
                <div class="card-body">
                  <div class="row">
                    <div class="col-sm-3">
                      <strong>Full Name</strong>
                    </div>
                    <div class="col-sm-9 text-secondary">
                      {{ myProfile.fullName }}
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col-sm-3">
                      <strong class="mb-0">Email</strong>
                    </div>
                    <div class="col-sm-9 text-secondary">
                      {{ myProfile.email }}
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col-sm-3">
                      <strong class="mb-0">Mobile</strong>
                    </div>
                    <div class="col-sm-9 text-secondary">
                      {{ myProfile.mobileNumber }}
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col-sm-3">
                      <strong class="mb-0">Branch</strong>
                    </div>
                    <div class="col-sm-9 text-secondary">
                      {{ myProfile.branch }}
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col-sm-3">
                      <strong class="mb-0">Department</strong>
                    </div>
                    <div class="col-sm-9 text-secondary">
                      {{ myProfile.department }}
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col-sm-3">
                      <strong class="mb-0">Designation</strong>
                    </div>
                    <div class="col-sm-9 text-secondary">
                      {{ myProfile.designations }}
                    </div>
                  </div>
                </div>
              </div>
              <div class="row gutters-sm">
                <div class="col-sm-6 mb-3">
                  <div class="card h-100">
                    <div class="card-body">
                      <strong class="d-flex align-items-center mb-3"><i class="material-icons text-info mr-2">General</i>Access</strong>
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
                          <strong>Can Approve</strong>
                          <span class="text-secondary">
                            <p-inputSwitch
                              [name]="myProfile.canApprove"
                              [disabled]="true"
                              [inputId]="myProfile.canApprove"
                              [ngModel]="myProfile.canApprove">
                            </p-inputSwitch>
                          </span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
                          <strong>Can Support</strong>
                          <span class="text-secondary">
                            <p-inputSwitch
                              [name]="myProfile.canSupport"
                              [disabled]="true"
                              [inputId]="myProfile.canSupport"
                              [ngModel]="myProfile.canSupport">
                            </p-inputSwitch>
                          </span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
                          <strong>Can Reject</strong>
                          <span class="text-secondary">
                            <p-inputSwitch
                              [name]="myProfile.canReject"
                              [disabled]="true"
                              [inputId]="myProfile.canReject"
                              [ngModel]="myProfile.canReject">
                            </p-inputSwitch>
                          </span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
                          <strong>Report Access</strong>
                          <span class="text-secondary">
                            {{myProfile.reportAccess}}
                          </span>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>
                <div class="col-sm-6 mb-3">
                  <div class="card h-100">
                    <div class="card-body">
                      <strong class="d-flex align-items-center mb-3"><i class="material-icons text-info mr-2">Payment</i>Access</strong>
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
                          <strong>Can Verify</strong>
                          <span class="text-secondary">
                            <p-inputSwitch
                              [name]="myProfile.canVerify"
                              [disabled]="true"
                              [inputId]="myProfile.canVerify"
                              [ngModel]="myProfile.canVerify">
                            </p-inputSwitch>
                          </span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
                          <strong>Can Make Payment</strong>
                          <span class="text-secondary">
                            <p-inputSwitch
                              [name]="myProfile.canMakePayment"
                              [disabled]="true"
                              [inputId]="myProfile.canMakePayment"
                              [ngModel]="myProfile.canMakePayment">
                            </p-inputSwitch>
                          </span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
                          <strong>Can Transfer Budget</strong>
                          <span class="text-secondary">
                            <p-inputSwitch
                              [name]="myProfile.canTransferBudget"
                              [disabled]="true"
                              [inputId]="myProfile.canTransferBudget"
                              [ngModel]="myProfile.canTransferBudget">
                            </p-inputSwitch>
                          </span>
                        </li>
<!--                        <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">-->
<!--                          <strong>Report Access</strong>-->
<!--                          <span class="text-secondary">{{myProfile.reportAccess}}</span>-->
<!--                        </li>-->
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
<!--        </div>-->
<!--      </div>-->
    </div>
  </div>
</div>




<p-dialog [(visible)]="display"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '790px', height: 'auto'}">
  <p-header>
    Edit My Profile
  </p-header>
  <form [formGroup]="editUserProfileForm">
    <div class="row">
      <div class="col-sm-6">
        <div class="form-group">
          <label for="fullName">Full Name<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="fullName"
                 [ngClass]="{ 'is-invalid': submitted && f.fullName.errors }"
                 placeholder="Enter full name"
                 formControlName="fullName"
                 required
          >
          <div *ngIf="submitted && f.fullName.errors" class="invalid-feedback">
            <div *ngIf="f.fullName.errors.required">Full name is Required.</div>
          </div>
        </div>
        <div class="form-group">
          <label for="mobileNumber">Mobile Number<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="mobileNumber"
                 [ngClass]="{ 'is-invalid': submitted && f.mobileNumber.errors }"
                 placeholder="Enter Mobile Number"
                 formControlName="mobileNumber"
                 required
          >
          <div *ngIf="submitted && f.mobileNumber.errors" class="invalid-feedback">
            <div *ngIf="f.mobileNumber.errors.required">Mobile number is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="branchId">Branch</label>
          <select id="branchId"
                  class="form-control"
                  formControlName="branchId"
                  [ngClass]="{ 'is-invalid': submitted && f.branchId.errors }"
                  name="branchId">
            <option *ngFor="let event of (branches); let i = index"
                    [ngValue]="(branches)[i].branchId"
            >{{(branches)[i].name }}</option>
          </select>
          <div *ngIf="submitted && f.branchId.errors" class="invalid-feedback">
            <div *ngIf="f.branchId.errors.required">Branch is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="department">Department<span class="required">*</span></label>
          <select id="department"
                  class="form-control"
                  name="department"
                  [ngClass]="{ 'is-invalid': submitted && f.departmentId.errors }"
                  formControlName="departmentId"
                  required>
            <option *ngFor="let event of (departments); let i = index"
                    [ngValue]="(departments)[i].departmentId"
            >{{(departments)[i].name + ' ( ' + (departments)[i].code + ' )' }}</option>
          </select>
          <div *ngIf="submitted && f.departmentId.errors" class="invalid-feedback">
            <div *ngIf="f.departmentId.errors.required">Department is required.</div>
          </div>
        </div>


      </div>
      <div class="col-sm-6">
        <div class="form-group">
          <label for="email">Email<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="email"
                 placeholder="Enter your email address"
                 formControlName="email"
                 [ngClass]="{ 'is-invalid': submitted && f.email.errors }"
                 required
          >
          <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
            <div *ngIf="f.email.errors.required">Email is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="employeeId">Employee Id<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="employeeId"
                 [ngClass]="{ 'is-invalid': submitted && f.employeeId.errors }"
                 placeholder="Enter your employee Id"
                 formControlName="employeeId"
                 required
          >
          <div *ngIf="submitted && f.employeeId.errors" class="invalid-feedback">
            <div *ngIf="f.employeeId.errors.required">Employee Id is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="designation">Designation<span class="required">*</span></label>
          <select id="designation"
                  class="form-control"
                  formControlName="designationId"
                  [ngClass]="{ 'is-invalid': submitted && f.designationId.errors }"
                  name="expType"
                  required>
            <option *ngFor="let event of (designations); let i = index"
                    [ngValue]="(designations)[i].designationId"
            >{{(designations)[i].value +' ( '+ (designations)[i].name +' )' }}</option>
          </select>
          <div *ngIf="submitted && f.designationId.errors" class="invalid-feedback">
            <div *ngIf="f.designationId.errors.required">Designation is required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="groupType">Group Type</label>
          <select id="groupType"
                  class="form-control"
                  name="userGroup"
                  [ngClass]="{ 'is-invalid': submitted && f.groupTypeId.errors }"
                  formControlName="groupTypeId">
            <select value="0">Select</select>
            <option *ngFor="let event of (groupTypes); let i = index"
                    [ngValue]="(groupTypes)[i].userGroupTypeId"
            >{{ (groupTypes)[i].name }}</option>
          </select>
          <div *ngIf="submitted && f.groupTypeId.errors" class="invalid-feedback">
            <div *ngIf="f.groupTypeId.errors.required">Group Type is required.</div>
          </div>
        </div>
      </div>
    </div>
    <p-footer>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-danger btn-block" (click)="cancel()"> Cancel</button>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-success btn-block"
                  (click)="submit()" type="submit">
            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
            Submit
          </button>
        </div>
      </div>
    </p-footer>
  </form>
</p-dialog>
